Subject: Re: skge dysfunction on Amd X2 machine with 4GB memory

From: Stephen Hemminger <[email-masked]>
Date: Tue, 20 Feb 2007 11:50:29 -0800

On Mon, 19 Feb 2007 23:15:02 -0800
Chris Wedgwood <[email-masked]> wrote:

> On Sun, Feb 11, 2007 at 04:57:55PM +0200, Matti Aarnio wrote:
> 
> > With the skge driver there seems to be some sort of problem to work
> > in a system with memory above the 4 GB of PCI address space.
> 
> The chipset (apparently) doesn't deal with bus addresses over 4GB even
> though the MAC does.
> 
> I guess the right way to fix this long term is to detect systems with
> these chips and mask the dma_mask globally (or if you're clever per
> bus)?

This needs to be done in via PCI quirks blacklisting. The driver has no
real way to test it.

-- 
Stephen Hemminger <[email-masked]>